Get Surveys

http
GET https://services.leadconnectorhq.com/surveys/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KT
skipnumberNo
limitnumberNo20Limit Per Page records count. will allow maximum up to 50 and default will be 10
typestringNofolder

Responses

200 - Successful response
  • surveys (object[])

    • id (string): Example: I5GFa3d3cKjojpe4VVUx

    • name (string): Example: Survey 1

    • locationId (string): Example: ve9EPM428h8vShlRW1KT

  • total (number): Number of surveys Example: 20

json
{
  "surveys": [
    {
      "id": "I5GFa3d3cKjojpe4VVUx",
      "name": "Survey 1",
      "locationId": "ve9EPM428h8vShlRW1KT"
    }
  ],
  "total": 20
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/surveys/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?